Subject: Re: [pull request][net-next 0/3] Mellanox, mlx5 GRE tunnel offloads

From: Hannes Frederic Sowa <[email-masked]>
Date: Thu, 31 Aug 2017 15:51:11 +0200

Saeed Mahameed <[email-masked]> writes:

> The first patch from Gal and Ariel provides the mlx5 driver support for
> ConnectX capability to perform IP version identification and matching in
> order to distinguish between IPv4 and IPv6 without the need to specify the
> encapsulation type, thus perform RSS in MPLS automatically without
> specifying MPLS ethertyoe. This patch will also serve for inner GRE IPv4/6
> classification for inner GRE RSS.

I don't think this is legal at all or did I misunderstood something?

<https://tools.ietf.org/html/rfc3032#section-2.2>

Thanks,
Hannes